Subject: 3 in 1 carts

From: Gregory McGill <[email-masked]>
Date: Sat, 19 Jul 2014 14:51:22 -0700

3 in 1 RASMUS scrolling games - solid state cartridges $50 ea + flat rate
shipping

Manufactured by the new team of Rasmus, Jim Fetzner and myself.. Rasmus
Codes, Jim builds boards like a crazy man and I sell em on my site...  NO
LONGER Limited run, I just received 30 of these and they are now on the
site.

Cartridge contains three games, selectable at the TI startup menu.

http://www.arcadeshopper.com/wp/?page_id=11#!/~/product/category=5051340&id=36952260

I take payment via check/mo/google wallet (no fees for ach) or now taking
credit cards direct!

I do NOT take paypal myself if you insist on using it message me privately
and we'll work something out.